Bug 141102 - The "outline content visibility" feature deserves a friendlier name.
Summary: The "outline content visibility" feature deserves a friendlier name.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: needsUXEval
Depends on:
Blocks: Writer-Outline-Folding
  Show dependency treegraph
 
Reported: 2021-03-18 16:05 UTC by j.a.swami
Modified: 2021-04-10 16:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
options view tab page outline content visibility change to outline folding (76.92 KB, image/png)
2021-03-23 05:43 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description j.a.swami 2021-03-18 16:05:24 UTC
Description:
This excellent new feature deserves a friendlier name. A friendlier name will be more readily understood and more likely to be said and remembered.

"Outline content visibility" is a large mouthful -- nine syllables (including one five-syllable word). And three nouns in a row.

Earlier the feature was referred to as a "folding outline." That gives a clear, memorable picture in two simple words.

And then the option, instead of "Show outline content visibility button," could be "Show buttons for folding outlines."



Steps to Reproduce:
1. Go to "Tools --> Options --> Writer --> View
2. Notice "Outline mode" and "Show outline content visibility button."
3.

Actual Results:
"Show outline content visibility button."

Expected Results:
Better: "Show buttons for folding outlines."

In the same dialog box, the bold "Outline mode" could also be replaced by "Folding Outlines."



Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:

Version: 7.1.0.3 / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Flatpak
Calc: threaded
Comment 1 Roman Kuznetsov 2021-03-20 17:01:41 UTC
UX-team, what do you think?
Comment 2 Heiko Tietze 2021-03-22 11:32:18 UTC
Would rename "Show outline content visibility button" to "Show inline button" (a bit longer label could be "Show outline folding button") with the tooltip "Toggles the visibility of the outline content visibility button left of chapter headings. Access to the outline folding is always possible via Navigator."

Any objection, Jim?
Comment 3 Jim Raykowski 2021-03-23 05:43:27 UTC
Created attachment 170645 [details]
options view tab page outline content visibility change to outline folding

How about this?
Comment 4 Adolfo Jayme 2021-03-23 07:17:35 UTC
(In reply to Jim Raykowski from comment #3)
> How about this?

That looks good, but remember to use sentence case for checkbox labels =)
Comment 5 j.a.swami 2021-03-24 16:20:06 UTC
(In reply to Heiko Tietze from comment #2)
> Would rename "Show outline content visibility button" to "Show inline
> button" (a bit longer label could be "Show outline folding button") with the
> tooltip "Toggles the visibility of the outline content visibility button
> left of chapter headings. Access to the outline folding is always possible
> via Navigator."

The longer label is better. More clear and avoids confusion that might arise around "inline"/"outline." (Just needs a hyphen: "Show outline-folding button.")

For the tooltip, maybe something like this:

"Shows a button next to headings and subheadings to help with outline folding. Even without the button, you can do outline folding with the Navigator."
Comment 6 Commit Notification 2021-03-29 22:36:30 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/381b9160aa21b91c7f2501de21d6d16626a972fb

tdf#141102 friendlier naming for outline content visibility feature

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Dieter 2021-04-10 16:29:33 UTC
VERIFIED with

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 807d059d99e7b99fe45a712428befa17ffa44858
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Jim, thanks for fixing it!